package mlproject.io;

public class IntegerInputSequence implements InputSequence<Integer>{
    private int[] sequence;
    private String name;
    
    public IntegerInputSequence(String name, int[] seq) {
        this.name = name;
        sequence = seq;
    }

    public String getName() {
        return name;
    }

    public Integer getX(int x) {
        return sequence[x];
    }

    public int length() {
        return sequence.length;
    }

    public InputSequence<Integer> getComponent(int component) {
        return null;
    }

    public boolean isComposite() {
        return false;
    }

    public int numberOfComponents() {
        return 0;
    }

    public void addComponent(InputSequence component) {
    }

    public void removeComponent(int component) {
    }
}
